## org.codehaus.plexus.digest
Class DigesterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.plexus.digest.DigesterException

All Implemented Interfaces:
  java.io.Serializable

    public class DigesterException

extends java.lang.Exception

Author:
  Edwin Punzalan
See Also:
  Serialized Form

Constructor Summary
`DigesterException()`
`DigesterException(java.lang.String message)`
`DigesterException(java.lang.String message, java.lang.Throwable cause)`
`DigesterException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DigesterException

    public DigesterException()

### DigesterException

    public DigesterException(java.lang.String message)

### DigesterException

    public DigesterException(java.lang.String message,
                             java.lang.Throwable cause)

### DigesterException

    public DigesterException(java.lang.Throwable cause)

Copyright © 2011. All Rights Reserved.